Partially update an order. Only fields present in the payload are changed. customFields is keyed by each field's customId; unknown keys are rejected.
Authorization
Bearer AuthorizationBearer <token>
Installer.com auth token
In: header
Path Parameters
orderId*string
Format
uuidRequest Body
application/json
Order patch payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://api.installer.com/api/v1/order/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"displayId": "string",
"name": "string",
"description": "string",
"externalId": "string",
"contactPersonName": "string",
"email": "string",
"phoneNumber": "string",
"customFields": {
"property1": "string",
"property2": "string"
}
}List V1 Partners GET
List partner organizations that can send jobs to your organization (organizations with routing availability to you). Returns each partner organization name, id and external id. Optionally filter by partnershipExternalId to return only the partner you tagged with that id.
Patch Api V1 Product PATCH
Next Page